/**
 * OnClick handlers are defined here
 * These functions will call functions in pdfannotate.js.
 *
 * @module     qtype_essayannotate/pdfannotate
 * @copyright  2024 IIT Palakkad
 * @copyright  based on work done by Ravisha Hesh {@link https://github.com/RavishaHesh/PDFJsAnnotations}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 * PDFAnnotate v1.0.1
 * @author     Ravisha Hesh
 * @updatedby  Asha Jose and Parvathy S Kumar
 *             SerializePDF and SavePDF functions are modified.
 * @updatedby  Nideesh N, VM Sreeram
 *             Convert PDFAnnotate into AMD format, changed pdf workersrc to local version instead of cdn,
 *             removed call to onPageUpdated function
 */
define("qtype_essayannotate/pdfannotate",["qtype_essayannotate/fabric","qtype_essayannotate/pdf","jquery"],(function(fabric,pdfjsLib,$){var contextid,attemptid,filename,usageid,slot,PDFAnnotate=function(container_id,url){let options=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};this.number_of_pages=0,this.pages_rendered=0,this.active_tool=1,this.fabricObjects=[],this.fabricObjectsData=[],this.color="rgb(0,0,0)",this.borderColor="rgb(0,0,0)",this.borderSize=1,this.font_size=16,this.active_canvas=0,this.container_id=container_id,this.url=url,this.pageImageCompression=options.pageImageCompression?options.pageImageCompression.toUpperCase():"NONE",this.textBoxText="Edit Text",this.highlightBoxWidth=400,this.highlightBoxHeight=50,this.highlightBoxOpacity=.3,this.freeDrawingBrushWidth=2;var inst=this;pdfjsLib.GlobalWorkerOptions.workerSrc="../amd/build/pdfworker.min.js",pdfjsLib.getDocument(this.url).promise.then((function(pdf){var scale=options.scale?options.scale:1.3;inst.number_of_pages=pdf.numPages;for(var i=1;i<=pdf.numPages;i++)pdf.getPage(i).then((function(page){if(void 0===inst.format||void 0===inst.orientation){var originalViewport=page.getViewport({scale:1});inst.format=[originalViewport.width,originalViewport.height],inst.orientation=originalViewport.width>originalViewport.height?"landscape":"portrait"}var viewport=page.getViewport({scale:scale}),canvas=document.createElement("canvas");document.getElementById(inst.container_id).appendChild(canvas),canvas.className="pdf-canvas",canvas.height=viewport.height,canvas.width=viewport.width;var renderContext={canvasContext:canvas.getContext("2d"),viewport:viewport};page.render(renderContext).promise.then((function(){$(".pdf-canvas").each((function(index,el){$(el).attr("id","page-"+(index+1)+"-canvas")})),inst.pages_rendered++,inst.pages_rendered==inst.number_of_pages&&inst.initFabric()}))}))}),(function(reason){})),this.initFabric=function(){var inst=this;let canvases=$("#"+inst.container_id+" canvas");canvases.each((function(index,el){var background=el.toDataURL("image/png"),fabricObj=new fabric.Canvas(el.id,{});inst.fabricObjects.push(fabricObj),fabricObj.setBackgroundImage(background,fabricObj.renderAll.bind(fabricObj)),$(fabricObj.upperCanvasEl).click((function(event){inst.active_canvas=index,inst.fabricClickHandler(event,fabricObj)})),fabricObj.on("after:render",(function(){inst.fabricObjectsData[index]=fabricObj.toJSON(),fabricObj.off("after:render")})),index===canvases.length-1&&"function"==typeof options.ready&&options.ready()}))},this.fabricClickHandler=function(event,fabricObj){var toolObj,activeObject=this.fabricObjects[this.active_canvas].getActiveObject();if(2==this.active_tool?toolObj=new fabric.IText(this.textBoxText,{left:event.clientX-fabricObj.upperCanvasEl.getBoundingClientRect().left,top:event.clientY-fabricObj.upperCanvasEl.getBoundingClientRect().top,fill:this.color,fontSize:this.font_size,lockRotation:!0,lockScalingX:!0,lockScalingY:!0}):4==this.active_tool?toolObj=new fabric.Rect({left:event.clientX-fabricObj.upperCanvasEl.getBoundingClientRect().left,top:event.clientY-fabricObj.upperCanvasEl.getBoundingClientRect().top,width:this.highlightBoxWidth,height:this.highlightBoxHeight,fill:this.color,opacity:this.highlightBoxOpacity,lockRotation:!0}):0==this.active_tool&&activeObject&&"path"==activeObject.get("type")&&activeObject.set({lockScalingX:!0,lockScalingY:!0,lockRotation:!0}),2==this.active_tool||4==this.active_tool){var element=document.querySelector("#select");$(".tool-button.active").removeClass("active"),$(element).addClass("active")}this.active_tool=0,toolObj&&fabricObj.add(toolObj)}};return PDFAnnotate.prototype.enableSelector=function(){this.active_tool=0,this.fabricObjects.length>0&&$.each(this.fabricObjects,(function(index,fabricObj){fabricObj.isDrawingMode=!1}))},PDFAnnotate.prototype.enablePencil=function(){var inst=this;inst.active_tool=1,inst.fabricObjects.length>0&&$.each(inst.fabricObjects,(function(index,fabricObj){fabricObj.freeDrawingBrush.width=inst.freeDrawingBrushWidth,fabricObj.isDrawingMode=!0}))},PDFAnnotate.prototype.enableAddText=function(){this.active_tool=2,this.fabricObjects.length>0&&$.each(this.fabricObjects,(function(index,fabricObj){fabricObj.isDrawingMode=!1}))},PDFAnnotate.prototype.enableRectangle=function(){this.active_tool=4,this.fabricObjects.length>0&&$.each(this.fabricObjects,(function(index,fabricObj){fabricObj.isDrawingMode=!1}))},PDFAnnotate.prototype.deleteSelectedObject=function(){var activeObject=this.fabricObjects[this.active_canvas].getActiveObject();activeObject&&confirm("Are you sure ?")&&this.fabricObjects[this.active_canvas].remove(activeObject)},PDFAnnotate.prototype.savePdf=function(){this.serializePdf((function(string){var value=JSON.stringify(JSON.parse(string),null,4),xmlhttp=new XMLHttpRequest;xmlhttp.open("POST","upload.php",!0),xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded"),xmlhttp.send("data="+value+"&contextid="+contextid+"&attemptid="+attemptid+"&filename="+filename+"&usageid="+usageid+"&slot="+slot),xmlhttp.onreadystatechange=function(){function showMessage(message){var messageBox=document.getElementById("message-box-saved");0==message&&(messageBox=document.getElementById("message-box-not-saved")),messageBox.classList.remove("hidden"),setTimeout((function(){messageBox.style.opacity="0",setTimeout((function(){document.getElementById("essayannotator-annotator").removeChild(messageBox),window.close(),window.opener.location.reload()}),500)}),3e3)}200==this.status&&4==this.readyState?showMessage(1):200!=this.status&&4==this.readyState&&showMessage(0)}}))},PDFAnnotate.prototype.serializePdf=function(callback){var inst=this,pageAnnotations=[];for(let i=0;i<inst.fabricObjects.length;i++)pageAnnotations.push([]);inst.fabricObjects.forEach((function(fabricObject,index){fabricObject.clone((function(fabricObjectCopy){if(fabricObjectCopy.setBackgroundImage(null),fabricObjectCopy.setBackgroundColor(""),0!==fabricObjectCopy._objects.length){for(var j=0;j<fabricObjectCopy._objects.length;j++)if("path"==fabricObjectCopy._objects[j].get("type")){for(var pathObj=fabricObjectCopy._objects[j],matrix=pathObj.calcTransformMatrix(),pointsList=pathObj.path,length=Object.keys(pointsList).length,offsetX=pathObj.pathOffset.x,offsetY=pathObj.pathOffset.y,i=0;i<length;i++){var point1=new fabric.Point(pointsList[i][1],pointsList[i][2]),newPoints1=fabric.util.transformPoint(point1,matrix);if(pointsList[i][1]=newPoints1.x-offsetX,pointsList[i][2]=newPoints1.y-offsetY,0!=i&&i!=length-1){var point2=new fabric.Point(pointsList[i][3],pointsList[i][4]),newPoints2=fabric.util.transformPoint(point2,matrix);pointsList[i][3]=newPoints2.x-offsetX,pointsList[i][4]=newPoints2.y-offsetY}}fabricObjectCopy._objects[j].path=pointsList}pageAnnotations[index].push(fabricObjectCopy)}if(index+1===inst.fabricObjects.length){var data={page_setup:{format:inst.format,orientation:inst.orientation},pages:pageAnnotations};callback(JSON.stringify(data))}}))}))},PDFAnnotate.prototype.setColor=function(color){this.color=color,$.each(this.fabricObjects,(function(index,fabricObj){fabricObj.freeDrawingBrush.color=color}))},PDFAnnotate.prototype.setBorderColor=function(color){this.borderColor=color},PDFAnnotate.prototype.setFontSize=function(size){this.font_size=size},{PDFAnnotate:PDFAnnotate,init:function(contextId,attemptId,fileName,usageId,sloT){contextid=contextId,attemptid=attemptId,filename=fileName,usageid=usageId,slot=sloT}}}));

//# sourceMappingURL=pdfannotate.min.js.map